import request from "@/api/Request";

export const list = (params) => {
    return request({
        url: '/store/list',
        method: 'get',
        params:params
    })
}

export const listData = (params) => {
    return request({
        url: '/store/listData',
        method: 'get',
        params:params
    })
}
export const getLayer = (data) => {
    return request({
        url: '/geoserver/getLayer',
        method: 'post',
        data:data
    })
}
export const editsubmit = (data) => {
    return request({
        url: '/store',
        method: 'put',
        data:data
    })
}

// 获取地图中心点
export const getGeomData = (tableValue) => {
    return request({
        url: '/geoserver/getGeomData/'+ tableValue,
        method: 'get'
    })
}
